Package org.gradle.platform.base

## Interface ToolChain

- All Superinterfaces:
    `Named`
  All Known Subinterfaces:
    `Clang`, `Gcc`, `GccCompatibleToolChain`, `NativeToolChain`, `Swiftc`, `VisualCpp`

      public interface ToolChain
      extends Named

  A set of compilers that are used together to construct binaries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` | Returns a human consumable name for this tool chain.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns a human consumable name for this tool chain.
      Since:
        1.11